unit UnitDialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmDialog = class(TForm)
    EditPassWD: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
   
    { Public declarations }
  end;

var
   blgFlg:boolean;
  frmDialog: TfrmDialog;

implementation

uses UnitDemo;

{$R *.dfm}

procedure TfrmDialog.FormShow(Sender: TObject);
begin
  BlgFlg:=false;
end;

procedure TfrmDialog.Button1Click(Sender: TObject);
begin
   if trim(editPasswd.Text)='' then
   begin
      Application.MessageBox('ΗλΚδΘλΓάΒλ£‘','ΠΕΟ’',mb_ok+mb_iconInformation);
      exit;
   end;
end;

procedure TfrmDialog.Button2Click(Sender: TObject);
begin
  self.Close;
end;

end.
